Bug 112813 - Update Port: lang/munger => 4.130
Summary: Update Port: lang/munger => 4.130
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-05-20 17:30 UTC by jimmy
Modified: 2007-05-27 16:40 UTC (History)
0 users

See Also:


Attachments
diff.txt (2.24 KB, text/plain)
2007-05-20 17:30 UTC, jimmy
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description jimmy 2007-05-20 17:30:03 UTC

    
Comment 1 Martin Wilke freebsd_committer 2007-05-20 17:31:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 jimmy 2007-05-21 01:55:09 UTC
diff -ruN /usr/ports/lang/munger/Makefile ./munger/Makefile
--- /usr/ports/lang/munger/Makefile	Tue May  1 19:17:56 2007
+++ ./munger/Makefile	Thu May  3 23:29:11 2007
@@ -6,7 +6,7 @@
  #

  PORTNAME=	munger
-PORTVERSION=	4.129
+PORTVERSION=	4.130
  CATEGORIES=	lang
  MASTER_SITES=	http://www.mammothcheese.ca/

diff -ruN /usr/ports/lang/munger/distinfo ./munger/distinfo
--- /usr/ports/lang/munger/distinfo	Tue May  1 19:17:56 2007
+++ ./munger/distinfo	Sun May 20 20:49:35 2007
@@ -1,3 +1,3 @@
-MD5 (munger-4.129.tar.gz) = 3b36a8bfc0465e2dea4c913384a6f042
-SHA256 (munger-4.129.tar.gz) = 
deff827321c25af5a5cee906d65c63ba3a84254f385a97e8f763dcf6109f7d28
-SIZE (munger-4.129.tar.gz) = 305478
+MD5 (munger-4.130.tar.gz) = c9b69c3c09bb2490b32bcfe19fc67e6a
+SHA256 (munger-4.130.tar.gz) = 
a9221ab66553cc98cb5d72915b02522a6b3dfd5e256a04118157063eca868615
+SIZE (munger-4.130.tar.gz) = 310620
diff -ruN /usr/ports/lang/munger/pkg-message ./munger/pkg-message
--- /usr/ports/lang/munger/pkg-message	Wed Jan 12 18:10:14 2005
+++ ./munger/pkg-message	Sat May 19 16:06:51 2007
@@ -4,4 +4,12 @@
  *    install and configfure mod_fastcgi from                     *
  *    ${PORTSDIR}/www/mod_fastcgi                                 *
  *                                                                *
+*    Note that mod_fastcgi 2.4.2 DOES NOT work with Apache-2.2   *
+*    IT DOES work with apache 2.0                                *
+*                                                                *
+*    Note that you cannot use Munger to write FastCGI scripts    *
+*    for webservers that do not act, or have a module which      *
+*    acts as the FastCGI server.  Munger is only linked against  *
+*    the client library.                                         *
+*                                                                *
  ******************************************************************
diff -ruN /usr/ports/lang/munger/pkg-plist ./munger/pkg-plist
--- /usr/ports/lang/munger/pkg-plist	Tue May  1 19:17:56 2007
+++ ./munger/pkg-plist	Thu May 17 11:43:53 2007
@@ -1,7 +1,8 @@
  bin/munger
-lib/libmunger.so.22
+lib/libmunger.so.23
  %%DKNS_BIN%%
  %%DATADIR%%/ipdatabase.munger
+%%DATADIR%%/httpd.munger
  %%DATADIR%%/ip2country.munger
  %%DATADIR%%/echo.munger
  %%DATADIR%%/msh.munger
Comment 3 jimmy 2007-05-22 18:55:49 UTC
A new version has been released.  New diff is below.

diff -ruN /usr/ports/lang/munger/Makefile ./munger/Makefile
--- /usr/ports/lang/munger/Makefile	Tue May  1 19:17:56 2007
+++ ./munger/Makefile	Mon May 21 00:27:27 2007
@@ -6,7 +6,7 @@
  #

  PORTNAME=	munger
-PORTVERSION=	4.129
+PORTVERSION=	4.131
  CATEGORIES=	lang
  MASTER_SITES=	http://www.mammothcheese.ca/

diff -ruN /usr/ports/lang/munger/distinfo ./munger/distinfo
--- /usr/ports/lang/munger/distinfo	Tue May  1 19:17:56 2007
+++ ./munger/distinfo	Tue May 22 13:03:43 2007
@@ -1,3 +1,3 @@
-MD5 (munger-4.129.tar.gz) = 3b36a8bfc0465e2dea4c913384a6f042
-SHA256 (munger-4.129.tar.gz) = 
deff827321c25af5a5cee906d65c63ba3a84254f385a97e8f763dcf6109f7d28
-SIZE (munger-4.129.tar.gz) = 305478
+MD5 (munger-4.131.tar.gz) = aa14eb3a4b0a559f3e2285387ebc9577
+SHA256 (munger-4.131.tar.gz) = 
884a59f9f69f2e5f92d40e647d7e5272b115bc8787f480b8a1b17459eeae0545
+SIZE (munger-4.131.tar.gz) = 314931
diff -ruN /usr/ports/lang/munger/pkg-message ./munger/pkg-message
--- /usr/ports/lang/munger/pkg-message	Wed Jan 12 18:10:14 2005
+++ ./munger/pkg-message	Sat May 19 16:06:51 2007
@@ -4,4 +4,12 @@
  *    install and configfure mod_fastcgi from                     *
  *    ${PORTSDIR}/www/mod_fastcgi                                 *
  *                                                                *
+*    Note that mod_fastcgi 2.4.2 DOES NOT work with Apache-2.2   *
+*    IT DOES work with apache 2.0                                *
+*                                                                *
+*    Note that you cannot use Munger to write FastCGI scripts    *
+*    for webservers that do not act, or have a module which      *
+*    acts as the FastCGI server.  Munger is only linked against  *
+*    the client library.                                         *
+*                                                                *
  ******************************************************************
diff -ruN /usr/ports/lang/munger/pkg-plist ./munger/pkg-plist
--- /usr/ports/lang/munger/pkg-plist	Tue May  1 19:17:56 2007
+++ ./munger/pkg-plist	Mon May 21 00:27:31 2007
@@ -1,7 +1,8 @@
  bin/munger
-lib/libmunger.so.22
+lib/libmunger.so.24
  %%DKNS_BIN%%
  %%DATADIR%%/ipdatabase.munger
+%%DATADIR%%/httpd.munger
  %%DATADIR%%/ip2country.munger
  %%DATADIR%%/echo.munger
  %%DATADIR%%/msh.munger
Comment 4 jimmy 2007-05-24 18:15:22 UTC
Another new version.  This is the very last diff, as I am the
author of Munger as well as the port maintainer, and Munger is
now finished.  I am moving on to other projects.  Only bug
fixes will generate new releases from now on.

diff -ruN /usr/ports/lang/munger/Makefile ./munger/Makefile
--- /usr/ports/lang/munger/Makefile	Tue May  1 19:17:56 2007
+++ ./munger/Makefile	Wed May 23 23:43:53 2007
@@ -6,7 +6,7 @@
  #

  PORTNAME=	munger
-PORTVERSION=	4.129
+PORTVERSION=	4.132
  CATEGORIES=	lang
  MASTER_SITES=	http://www.mammothcheese.ca/

diff -ruN /usr/ports/lang/munger/distinfo ./munger/distinfo
--- /usr/ports/lang/munger/distinfo	Tue May  1 19:17:56 2007
+++ ./munger/distinfo	Thu May 24 12:51:35 2007
@@ -1,3 +1,3 @@
-MD5 (munger-4.129.tar.gz) = 3b36a8bfc0465e2dea4c913384a6f042
-SHA256 (munger-4.129.tar.gz) = 
deff827321c25af5a5cee906d65c63ba3a84254f385a97e8f763dcf6109f7d28
-SIZE (munger-4.129.tar.gz) = 305478
+MD5 (munger-4.132.tar.gz) = fc31a2b49cdf2b9f7f429845213bb82c
+SHA256 (munger-4.132.tar.gz) = 
ddb5aedb537c10e017b759cfb326b480805c93503c53a0a7fe3ac70cc66ea40d
+SIZE (munger-4.132.tar.gz) = 316117
diff -ruN /usr/ports/lang/munger/pkg-message ./munger/pkg-message
--- /usr/ports/lang/munger/pkg-message	Wed Jan 12 18:10:14 2005
+++ ./munger/pkg-message	Sat May 19 16:06:51 2007
@@ -4,4 +4,12 @@
  *    install and configfure mod_fastcgi from                     *
  *    ${PORTSDIR}/www/mod_fastcgi                                 *
  *                                                                *
+*    Note that mod_fastcgi 2.4.2 DOES NOT work with Apache-2.2   *
+*    IT DOES work with apache 2.0                                *
+*                                                                *
+*    Note that you cannot use Munger to write FastCGI scripts    *
+*    for webservers that do not act, or have a module which      *
+*    acts as the FastCGI server.  Munger is only linked against  *
+*    the client library.                                         *
+*                                                                *
  ******************************************************************
diff -ruN /usr/ports/lang/munger/pkg-plist ./munger/pkg-plist
--- /usr/ports/lang/munger/pkg-plist	Tue May  1 19:17:56 2007
+++ ./munger/pkg-plist	Wed May 23 23:43:57 2007
@@ -1,7 +1,8 @@
  bin/munger
-lib/libmunger.so.22
+lib/libmunger.so.25
  %%DKNS_BIN%%
  %%DATADIR%%/ipdatabase.munger
+%%DATADIR%%/httpd.munger
  %%DATADIR%%/ip2country.munger
  %%DATADIR%%/echo.munger
  %%DATADIR%%/msh.munger
Comment 5 dfilter service freebsd_committer 2007-05-27 16:34:49 UTC
miwi        2007-05-27 15:34:34 UTC

  FreeBSD ports repository

  Modified files:
    lang/munger          Makefile distinfo pkg-message pkg-plist 
  Log:
  - Update to 4.132
  
  PR:             112813
  Submitted by:   James Bailie <jimmy@mammothcheese.ca> (maintainer)
  
  Revision  Changes    Path
  1.54      +1 -1      ports/lang/munger/Makefile
  1.54      +3 -3      ports/lang/munger/distinfo
  1.2       +8 -0      ports/lang/munger/pkg-message
  1.32      +3 -1      ports/lang/munger/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Martin Wilke freebsd_committer 2007-05-27 16:34:52 UTC
State Changed
From-To: open->closed

Committed. Thanks!